ADM1026HM(4)

NAME
adm1026hm - Analog Devices ADM1026 complete thermal system management controller

SYNOPSIS
adm1026hm* at iic? addr?

DESCRIPTION
The adm1026hm driver provides support for the Analog Devices ADM1026 hardware monitor. The chip possesses 8 fan speed sensors, 3 temperature sensors, and 17 voltage sensors. The number of each sensor type configured by the driver depends on the chip configuration.

The values of the sensors are made available through the envstat(8) interface.
Sensor | Units | Description
fan N | RPM | Fan 0–7
internal | C | Internal temperature
external N | C | External temperature 1–2
Vbatt | V DC | Battery voltage
V3.3 standby | V DC | 3.3V standby voltage
V3.3 main | V DC | 3.3V main voltage
V5.0 | V DC | 5.0V supply voltage
V+12 | V DC | +12V supply voltage
V-12 | V DC | -12V supply voltage
V3.3 N | V DC | Analog in (3.3V reference) 0–5
V2.5 N | V DC | Analog in (2.5V reference) 0–3

Configurable limits for the sensors are also available via envstat(8). Initial limit values are read from the chip. Each temperature sensor has a high, therm and low limit, which are mapped to critmax, warnmax and warnmin, respectively. Voltage sensors have high (warnmax) and low (warnmin) limits. Fan sensors have a high limit mapped to warnmin, because the fan measurements are revolution intervals, so higher numbers correlate to lower fan speeds.

SEE ALSO
iic(4), intro(4), envstat(8)

HISTORY
The adm1026hm driver first appeared in NetBSD 8.0.

AUTHORS
-nosplit The adm1026hm driver was written by Julian Coleman <jcoleman@NetBSD.org>.

BUGS
It's not possible to determine if either a sensor is not connected, or the monitored device is producing no output. Therefore, unconnected sensors will show outputs of 0.

The adm1026hm driver does not support interrupt output nor the built-in EEPROM.